# frozen_string_literal: true

# Soportar dominios alternativos.
class DeployAlternativeDomain < DeployWww
  validates :hostname, domainname: true

  # No hay un hostname por defecto
  #
  # @return [Nil]
  def default_hostname; end

  private

  def implements_hostname_validation?
    true
  end

  # No hay un hostname por defecto.  Debe ser informado por les
  # usuaries.
  def default_hostname!; end
end
